MyGUI: MyGUI::ResourceImageSet Class Reference

MyGUI 3.4.3

Public Types | Public Member Functions | Static Public Member Functions | Friends
MyGUI::ResourceImageSet Class Reference

`#include <MyGUI_ResourceImageSet.h>`

Inheritance diagram for MyGUI::ResourceImageSet:
[legend]

## Public Types
typedef RTTIBase | Base
typedef ResourceImageSet | RTTIBase
Public Types inherited from MyGUI::IResource
typedef RTTIBase | Base
typedef IResource | RTTIBase
Public Types inherited from MyGUI::ISerializable
typedef RTTIBase | Base
typedef ISerializable | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual std::string_view | getTypeName () const override
virtual bool | isType (const std::type_info &_type) const override
template<typename Type>
bool | isType () const
ImageIndexInfo | getIndexInfo (std::string_view _group, std::string_view _index) const
ImageIndexInfo | getIndexInfo (size_t _group, std::string_view _index) const
ImageIndexInfo | getIndexInfo (std::string_view _group, size_t _index) const
ImageIndexInfo | getIndexInfo (size_t _group, size_t _index) const
ImageIndexInfo | getIndexInfo (const IntSize &_group, size_t _index) const
ImageIndexInfo | getIndexInfo (const IntSize &_group, std::string_view _index) const
EnumeratorGroupImage | getEnumerator () const
void | AddGroupImage (const GroupImage &_group)
Public Member Functions inherited from MyGUI::IResource
template<typename Type>
bool | isType () const
const std::string & | getResourceName () const
void | setResourceName (std::string_view _value)
| IResource (IResource const &)=delete
IResource & | operator= (IResource const &)=delete
Public Member Functions inherited from MyGUI::ISerializable
template<typename Type>
bool | isType () const
virtual void | serialization (xml::ElementPtr, Version)
Public Member Functions inherited from MyGUI::IObject
template<typename Type>
bool | isType () const
template<typename Type>
Type * | castType (bool _throw=true)
template<typename Type>
const Type * | castType (bool _throw=true) const
virtual | ~IObject ()=default

## Static Public Member Functions
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IResource
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISerializable
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static std::string_view | getClassTypeName ()

## Friends
class | GenericFactory< ResourceImageSet >

## Additional Inherited Members
Protected Member Functions inherited from MyGUI::IResource
| IResource ()=default
| ~IResource () override=default
Protected Attributes inherited from MyGUI::IResource
std::string | mResourceName

## Detailed Description

Definition at line 26 of file MyGUI_ResourceImageSet.h.

## Member Typedef Documentation

## ◆ Base

typedef RTTIBase MyGUI::ResourceImageSet::Base

Definition at line 30 of file MyGUI_ResourceImageSet.h.

## ◆ RTTIBase

typedef ResourceImageSet MyGUI::ResourceImageSet::RTTIBase

Definition at line 30 of file MyGUI_ResourceImageSet.h.

## Member Function Documentation

## ◆ AddGroupImage()

void MyGUI::ResourceImageSet::AddGroupImage | ( | const GroupImage & | _group | ) |

Definition at line 191 of file MyGUI_ResourceImageSet.cpp.

## ◆ getClassTypeName()

std::string_view MyGUI::ResourceImageSet::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 30 of file MyGUI_ResourceImageSet.h.

## ◆ getEnumerator()

EnumeratorGroupImage MyGUI::ResourceImageSet::getEnumerator | ( |  | ) | const

Get groups Enumerator

Definition at line 186 of file MyGUI_ResourceImageSet.cpp.

## ◆ getIndexInfo() [1/6]

ImageIndexInfo MyGUI::ResourceImageSet::getIndexInfo | ( | const IntSize & | _group,
|  | size_t | _index ) const

Definition at line 124 of file MyGUI_ResourceImageSet.cpp.

## ◆ getIndexInfo() [2/6]

ImageIndexInfo MyGUI::ResourceImageSet::getIndexInfo | ( | const IntSize & | _group,
|  | std::string_view | _index ) const

Definition at line 139 of file MyGUI_ResourceImageSet.cpp.

## ◆ getIndexInfo() [3/6]

ImageIndexInfo MyGUI::ResourceImageSet::getIndexInfo | ( | size_t | _group,
|  | size_t | _index ) const

Definition at line 110 of file MyGUI_ResourceImageSet.cpp.

## ◆ getIndexInfo() [4/6]

ImageIndexInfo MyGUI::ResourceImageSet::getIndexInfo | ( | size_t | _group,
|  | std::string_view | _index ) const

Definition at line 80 of file MyGUI_ResourceImageSet.cpp.

## ◆ getIndexInfo() [5/6]

ImageIndexInfo MyGUI::ResourceImageSet::getIndexInfo | ( | std::string_view | _group,
|  | size_t | _index ) const

Definition at line 95 of file MyGUI_ResourceImageSet.cpp.

## ◆ getIndexInfo() [6/6]

ImageIndexInfo MyGUI::ResourceImageSet::getIndexInfo | ( | std::string_view | _group,
|  | std::string_view | _index ) const

Definition at line 64 of file MyGUI_ResourceImageSet.cpp.

## ◆ getTypeName()

virtual std::string_view MyGUI::ResourceImageSet::getTypeName | ( |  | ) | const
| inlineoverridevirtual

Get type name as string

Reimplemented from MyGUI::IResource.

Definition at line 30 of file MyGUI_ResourceImageSet.h.

## ◆ isType() [1/2]

template<typename Type>

bool MyGUI::ResourceImageSet::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 30 of file MyGUI_ResourceImageSet.h.

## ◆ isType() [2/2]

virtual bool MyGUI::ResourceImageSet::isType | ( | const std::type_info & | _type | ) | const
| inlineoverridevirtual

Compare with selected type

Reimplemented from MyGUI::IResource.

Definition at line 30 of file MyGUI_ResourceImageSet.h.

## Friends And Related Symbol Documentation

## ◆ GenericFactory< ResourceImageSet >

friend class GenericFactory< ResourceImageSet >
| friend

Definition at line 1 of file MyGUI_ResourceImageSet.h.

The documentation for this class was generated from the following files:

- MyGUI_ResourceImageSet.h
- MyGUI_ResourceImageSet.cpp